# InvalidVehicle Struct Reference

This class 'wraps' Vehicle; you do not actually instantiate this class. More...

`#include <vehicle_base.h>`

Inheritance diagram for InvalidVehicle:

## Public Member Functions

| InvalidVehicle ()
| Initializes the Vehicle to a invalid vehicle.
virtual | ~InvalidVehicle ()
| We want to 'destruct' the right class.
const char * | GetTypeString () const
void | Tick ()

## Detailed Description

This class 'wraps' Vehicle; you do not actually instantiate this class.

You create a Vehicle using AllocateVehicle, so it is added to the pool and you reinitialize that to a Train using: v = new (v) Train();

As side-effect the vehicle type is set correctly.

Definition at line 631 of file vehicle_base.h.

## Constructor & Destructor Documentation

virtual InvalidVehicle::~InvalidVehicle | ( |  | ) | `[inline, virtual]`

We want to 'destruct' the right class.

Definition at line 636 of file vehicle_base.h.

The documentation for this struct was generated from the following file:

- src/vehicle_base.h